Bug 99256 - [KBL] WaDisableLSQCROPERFforOCL should be applied by userspace on-demand due to large performance impact.
Summary: [KBL] WaDisableLSQCROPERFforOCL should be applied by userspace on-demand due ...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Francisco Jerez
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-03 14:23 UTC by Eero Tamminen
Modified: 2017-07-24 22:39 UTC (History)
1 user (show)

See Also:
i915 platform: KBL
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Tamminen 2017-01-03 14:23:24 UTC
While Francisco's constant cache patch series helped perf on the other platforms, *on KBL* (i7-7500U / GT2) it caused a huge perf regression in (GfxBench 4.0) Manhattan 3.1.

"i965/fs: Switch to the constant cache for uniform pull constants" commit drops the performance by 60% and "i965/fs: Fetch one cacheline of pull constants at a time" commit improves that by 50%, so the combined drop is ~40%.

GfxBench CarChase (gl_4 test) test perf also dropped a bit, by 10-15%.

Note: SynMark ShMapPcf test still improved on KBL, by ~30% (same as on SKL GT2 & GT4e).
Comment 1 Kenneth Graunke 2017-01-03 15:52:26 UTC
Curro, are we botching L3 / MOCS settings on KBL perhaps?
Comment 2 Eero Tamminen 2017-01-03 17:01:22 UTC
When comparing our SKL & KBL GT2 machines perf, KBL perf isn't too much off from what one would expect when taking into account their LLC size and GPU & memory speed differences.  So something being seriously wrong with basic settings doesn't seem likely, I think it should then be visible also in other tests, not just ones affected by this patch series.
Comment 3 Eero Tamminen 2017-01-04 16:54:19 UTC
Don't know whether it's related at all, but I didn't see any clear impact in our trends from this patch series on BXT, although it clearly helped SKL/HSW/BDW/BSW/BYT (and ShMapPcf on KBL).
Comment 4 Kenneth Graunke 2017-01-06 20:40:14 UTC
Curro mentioned at the office yesterday that he's figured this out.
Comment 5 Francisco Jerez 2017-01-09 02:00:24 UTC
Tracked this down to a kernel bug and sent a fix [1] to the intel-gfx mailing list.  Reassigning to DRM/Intel component.

[1] https://lists.freedesktop.org/archives/intel-gfx/2017-January/116192.html
Comment 6 Mika Kuoppala 2017-01-12 14:01:01 UTC
commit 8726f2faa371514fba2f594d799db95203dfeee0
Author: Francisco Jerez <currojerez@riseup.net>
Date:   Thu Jan 12 12:44:54 2017 +0200

    drm/i915: Remove WaDisableLSQCROPERFforOCL KBL workaround.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.